/*
 * File: irix.sprocs/parmacs_internals.h
 * Description: headers for sprocs based parmacs implementation for irix.
 * Comments:
 * Copyright: Department of Computer Architecture - Polytechnic University of
 *   Catalonia (UPC)
 * Created: 1999/06 ernest@ac.upc.es (E.Artiaga)
 * Contact: gsomk@ac.upc.es
 * Last update:
 * History:
 */
/*
 * Disclaimer and copying policy:
 *
 * The Polytechnic University of Catalonia (UPC) and the authors disclaim
 * all warranties with regard to this software, including all implied
 * warranties of merchantability and fitness.
 * In no event shall the Polytechnic University of Catalonia (UPC) or the
 * authors be liable for any special, indirect or consequential damages or
 * any damages whatsoever resulting from loss of use, data or profits,
 * whether in an action of contract, negligence or other tortius action,
 * arising out of or in connection with the use or performance of this
 * software.
 *
 * Permission to use, copy, modify, and distribute this software for
 * any purpose and without fee is hereby granted, provided that the above
 * copyright notice and disclaimer, and also this permission notice, appear
 * in all copies.
 *
 */

#ifndef _IRIX_SPROCS_PARMACS_INTERNALS_H_
#define _IRIX_SPROCS_PARMACS_INTERNALS_H_

#include <sys/types.h>
#include <sys/stat.h>
#include <sys/wait.h>
#include <sys/times.h>
#include <sys/time.h>
#include <sys/prctl.h>
#include <time.h>
#include <mutex.h>
#include <signal.h>
#include <unistd.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ulocks.h>
#include <errno.h>

#ifndef PARMACS_NO_SCHED_YIELD
#include <sched.h>
#endif /* PARMACS_NO_SCHED_YIELD */

#include <parmacs_config.h>
#include <parmacs_types.h>
#include <parmacs_decl.h>
#include <parmacs.h>

#endif /* _IRIX_SPROCS_PARMACS_INTERNALS_H_ */
